Bug 6971 - XSLT Opac Detail displays 245 subfields out of order
Summary: XSLT Opac Detail displays 245 subfields out of order
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Albert Oller
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-04 20:33 UTC by Thatcher Rea
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.95 KB, patch)
2011-11-18 19:02 UTC, Albert Oller
Details | Diff | Splinter Review
Bug 6971: XSLT Opac Detail displays 245 subfields out of order. (2.16 KB, patch)
2011-12-02 00:53 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 6971: XSLT Intranet Detail displays 245 subfields out of order (2.25 KB, patch)
2011-12-02 00:53 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 6971: XSLT Intranet Detail displays 245 subfields out of order (2.26 KB, patch)
2011-12-02 06:28 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Thatcher Rea 2011-10-04 20:33:25 UTC
245 Subfields in the OPAC Detail Display (MARC21slim2OPACDetail.xsl) are being reordered once saved.  For instance, instead of displaying according to ACR2 as 245 $a$h:$b, it's being displayed as 245 $a$b:$h.
Comment 1 Albert Oller 2011-11-18 19:02:28 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2011-12-02 00:53:17 UTC
Created attachment 6502 [details] [review]
Bug 6971: XSLT Opac Detail displays 245 subfields out of order.

245 Subfields in the OPAC Detail Display (MARC21slim2OPACDetail.xsl) are being
reordered on display. Instead of displaying 245$a 245$h 245$b, the stylesheet
was displaying 245$a 245$b 245$h. This patch does not address ISBD punctuation.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Clarified commit message.
Comment 3 Jared Camins-Esakov 2011-12-02 00:53:32 UTC Comment hidden (obsolete)
Comment 4 Jared Camins-Esakov 2011-12-02 00:55:46 UTC
The first patch has been signed off. The second patch, a follow-up for the staff client, still needs sign-off.
Comment 5 Chris Cormack 2011-12-02 06:28:59 UTC
Created attachment 6506 [details] [review]
Bug 6971: XSLT Intranet Detail displays 245 subfields out of order

245 Subfields in the Intranet Detail Display (MARC21slim2intranetDetail.xsl) are
being reordered on display. Instead of displaying 245$a 245$h 245$b, the
stylesheet was displaying 245$a 245$b 245$h. This patch does not address ISBD
punctuation.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Follow-up patch to address the issue in the staff client.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Paul Poulain 2011-12-07 14:58:27 UTC
QA comment: none, small patch

Patch pushed, please test

PS: Welcome Albert, you're 163th !
Comment 7 Jared Camins-Esakov 2012-05-23 12:29:57 UTC
Included in the 3.6 branch prior to 3.6.4.